    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------
    028     * NumberTick.java
    029     * ---------------
    030     * (C) Copyright 2003, 2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: NumberTick.java,v 1.2.2.1 2005/10/25 20:37:34 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 07-Nov-2003 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.axis;
    044
    045    import org.jfree.ui.TextAnchor;
    046
    047    /**
    048     * A numerical tick.
    049     */
    050    public class NumberTick extends ValueTick {
    051
    052        /** The number. */
    053        private Number number;
    054
    055        /**
    056         * Creates a new tick.
    057         *
    058         * @param number  the number.
    059         * @param label  the label.
    060         * @param textAnchor  the part of the label that is aligned with the anchor
    061         *                    point.
    062         * @param rotationAnchor  defines the rotation point relative to the text.
    063         * @param angle  the rotation angle (in radians).
    064         */
    065        public NumberTick(Number number, String label,
    066                          TextAnchor textAnchor,
    067                          TextAnchor rotationAnchor, double angle) {
    068
    069            super(number.doubleValue(), label, textAnchor, rotationAnchor, angle);
    070            this.number = number;
    071
    072        }
    073
    074        /**
    075         * Returns the number.
    076         *
    077         * @return The number.
    078         */
    079        public Number getNumber() {
    080            return this.number;
    081        }
    082
    083    }